# Uses of Interface
org.gitana.platform.client.domain.Domain

Packages that use Domain
Package
Description
org.gitana.platform.client.domain
org.gitana.platform.client.platform
org.gitana.platform.client.principal
org.gitana.platform.client.support

## Uses of Domain in org.gitana.platform.client.domain

Classes in org.gitana.platform.client.domain that implement Domain
Modifier and Type
Class
Description
`class`
`DomainImpl`
Methods in org.gitana.platform.client.domain that return Domain
Modifier and Type
Method
Description
`Domain`
AbstractDomainDocumentImpl.`getDomain()`
`Domain`
DomainDocument.`getDomain()`
Constructors in org.gitana.platform.client.domain with parameters of type Domain
Modifier
Constructor
Description
`protected`
`AbstractDomainDocumentImpl(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Domain in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return Domain
Modifier and Type
Method
Description
`Domain`
Platform.`createDomain()`
`Domain`
Platform.`createDomain(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
PlatformImpl.`createDomain()`
`Domain`
PlatformImpl.`createDomain(com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
Platform.`readDomain(String domainId)`
`Domain`
PlatformImpl.`readDomain(String domainId)`
`Domain`
Platform.`readPrimaryDomain()`
`Domain`
PlatformImpl.`readPrimaryDomain()`
Methods in org.gitana.platform.client.platform that return types with arguments of type Domain
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Domain>`
Platform.`listDomains()`
`org.gitana.platform.support.ResultMap<Domain>`
Platform.`listDomains(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Domain>`
PlatformImpl.`listDomains()`
`org.gitana.platform.support.ResultMap<Domain>`
PlatformImpl.`listDomains(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Domain>`
Platform.`queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Domain>`
Platform.`queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<Domain>`
PlatformImpl.`queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<Domain>`
PlatformImpl.`queryDomains(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of Domain in org.gitana.platform.client.principal

Constructors in org.gitana.platform.client.principal with parameters of type Domain
Modifier
Constructor
Description
``
`AbstractDomainPrincipalImpl(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`DomainGroupImpl(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`
``
`DomainUserImpl(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Uses of Domain in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return Domain
Modifier and Type
Method
Description
`Domain`
ObjectFactory.`domain(Platform platform)`
`Domain`
ObjectFactory.`domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
ObjectFactory.`domain(Platform platform, Response response)`
`Domain`
ObjectFactoryImpl.`domain(Platform platform)`
`Domain`
ObjectFactoryImpl.`domain(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode object)`
`Domain`
ObjectFactoryImpl.`domain(Platform platform, Response response)`
Methods in org.gitana.platform.client.support that return types with arguments of type Domain
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<Domain>`
ObjectFactory.`domains(Platform platform, Response response)`
`org.gitana.platform.support.ResultMap<Domain>`
ObjectFactoryImpl.`domains(Platform platform, Response response)`
Methods in org.gitana.platform.client.support with parameters of type Domain
Modifier and Type
Method
Description
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactory.`domainPrincipal(Domain domain, Response response)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Domain domain, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainPrincipal`
ObjectFactoryImpl.`domainPrincipal(Domain domain, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactory.`domainPrincipals(Domain domain, Response response)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
ObjectFactoryImpl.`domainPrincipals(Domain domain, Response response)`